### Method

# Adw Dialog present

since: 1.5

#### Declaration [src]

    void
    adw_dialog_present (
      AdwDialog* self,
      GtkWidget* parent
    )

#### Description [src]

Presents `self` within `parent`‘s window.

If `self` is already shown, raises it to the top instead.

If the window is an `AdwWindow` or `AdwApplicationWindow`, the dialog will be shown within it. Otherwise, it will be a separate window.

Available since: 1.5

#### Parameters

`parent`

  Type: `GtkWidget`

  A widget within the toplevel.

  The argument can be `NULL`.
  The data is owned by the caller of the method.